cURL
curl --request GET \
--url 'https://www.rainbrand.com/api/v1/brands/e6220a5e-4a68-4d39-8bb9-5105e9a3a164/edits/22f07ed4-665a-46de-9843-b271e2e3d247/files?path=references%2Fcolors.md' \
--header "x-api-key: $RAINBRAND_API_KEY"{
"data": {
"schemaVersion": 2,
"editId": "22f07ed4-665a-46de-9843-b271e2e3d247",
"status": "awaiting_approval",
"path": "references/colors.md",
"operation": "modify",
"base": {
"skillId": "6590fb89-c177-45b3-85d4-74ab6b92dc2a",
"fileSha256": "e6a777c0f452323a9e6dcd25f6bd6fe958f0f450be5137a9b17f1922b6051750",
"startCharacter": 0,
"endCharacter": 49,
"totalCharacters": 49,
"content": "# Product colors\n\nAtlas Pro uses yellow #FFD600.\n"
},
"candidate": {
"skillId": "6a46ce07-8509-461d-bb64-46cb6cd996ea",
"fileSha256": "f05ed73e13c756df5dacc57e6817d2d10b7fe154610b38bc367da3a70fc2f530",
"startCharacter": 0,
"endCharacter": 51,
"totalCharacters": 51,
"content": "# Product colors\n\nAtlas Pro uses burgundy #6D1A36.\n"
},
"nextCursor": null,
"hasMore": false
}
}{
"error": {
"code": "INVALID_CURSOR",
"status": 400,
"message": "Invalid pagination cursor",
"data": "<unknown>"
}
}{
"error": {
"code": "UNAUTHORIZED",
"status": 401,
"message": "Invalid or missing API credentials",
"data": "<unknown>"
}
}{
"error": {
"code": "ACCOUNT_BANNED",
"status": 403,
"message": "This account has been suspended.",
"data": "<unknown>"
}
}{
"error": {
"code": "BRAND_NOT_FOUND",
"status": 404,
"message": "Brand not found",
"data": "<unknown>"
}
}{
"error": {
"code": "TOO_MANY_REQUESTS",
"status": 429,
"message": "Rate limit exceeded",
"data": "<unknown>"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"status": 500,
"message": "Brand edit request failed",
"data": "<unknown>"
}
}Brand Edits
Get a changed brand file
Read the original and proposed versions of a file to inspect a Brand Edit.
GET
/
brands
/
{id}
/
edits
/
{editId}
/
files
cURL
curl --request GET \
--url 'https://www.rainbrand.com/api/v1/brands/e6220a5e-4a68-4d39-8bb9-5105e9a3a164/edits/22f07ed4-665a-46de-9843-b271e2e3d247/files?path=references%2Fcolors.md' \
--header "x-api-key: $RAINBRAND_API_KEY"{
"data": {
"schemaVersion": 2,
"editId": "22f07ed4-665a-46de-9843-b271e2e3d247",
"status": "awaiting_approval",
"path": "references/colors.md",
"operation": "modify",
"base": {
"skillId": "6590fb89-c177-45b3-85d4-74ab6b92dc2a",
"fileSha256": "e6a777c0f452323a9e6dcd25f6bd6fe958f0f450be5137a9b17f1922b6051750",
"startCharacter": 0,
"endCharacter": 49,
"totalCharacters": 49,
"content": "# Product colors\n\nAtlas Pro uses yellow #FFD600.\n"
},
"candidate": {
"skillId": "6a46ce07-8509-461d-bb64-46cb6cd996ea",
"fileSha256": "f05ed73e13c756df5dacc57e6817d2d10b7fe154610b38bc367da3a70fc2f530",
"startCharacter": 0,
"endCharacter": 51,
"totalCharacters": 51,
"content": "# Product colors\n\nAtlas Pro uses burgundy #6D1A36.\n"
},
"nextCursor": null,
"hasMore": false
}
}{
"error": {
"code": "INVALID_CURSOR",
"status": 400,
"message": "Invalid pagination cursor",
"data": "<unknown>"
}
}{
"error": {
"code": "UNAUTHORIZED",
"status": 401,
"message": "Invalid or missing API credentials",
"data": "<unknown>"
}
}{
"error": {
"code": "ACCOUNT_BANNED",
"status": 403,
"message": "This account has been suspended.",
"data": "<unknown>"
}
}{
"error": {
"code": "BRAND_NOT_FOUND",
"status": 404,
"message": "Brand not found",
"data": "<unknown>"
}
}{
"error": {
"code": "TOO_MANY_REQUESTS",
"status": 429,
"message": "Rate limit exceeded",
"data": "<unknown>"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"status": 500,
"message": "Brand edit request failed",
"data": "<unknown>"
}
}Authorizations
apiKeybeareroauth
Path Parameters
Query Parameters
Was this page helpful?